ChathamDirect – Browser Support Policy

Chatham Financial prides itself on providing our users the best possible experience when using our website and software solutions. Because it is not practical for us to validate against all possible browsers and their available versions, we have established this policy to ensure we support the vast majority of our users.

General Browser Requirements

In order to successfully interact with our web applications, your browser must meet the following requirements:

• Configured to accept cookies
• Configured to execute JavaScript
• Capable of a minimum of 256-bit encryption
• Capable of supporting TLS 1.2
• Capable of supporting SNI

Supported Browsers

We use actual usage data to determine the browsers most commonly used with our applications rather than generic industry data. We review this data regularly to determine which browsers to support.

Given the data we currently have, we are committed to validating against and fully supporting our customers’ use of the following browsers:

• Microsoft Internet Explorer 11
• Google Chrome, most recent stable version

Chatham Financial reserves the right to revise the Brower Policy at any time without notice to users.

Effective Date: January 15, 2019